Delete Settings (/financa5/settings)
curl --request DELETE \
--url https://api.vellaro.io/api/v1/admin/financa5/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vellaro.io/api/v1/admin/financa5/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vellaro.io/api/v1/admin/financa5/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/financa5/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/financa5/settings"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.vellaro.io/api/v1/admin/financa5/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/financa5/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"config": {
"host": "<string>",
"port": 123,
"instance": "<string>",
"database": "<string>",
"username": "<string>",
"has_password": true,
"warehouses": [
"<string>"
],
"sync_interval_minutes": 5
},
"connection": {
"checked_at": "2023-11-07T05:31:56Z",
"ok_at": "2023-11-07T05:31:56Z",
"result": "ok",
"fresh": true,
"server_version": "<string>",
"engine_edition": 123,
"read_only": true,
"view_counts": {},
"warehouses": [
{
"code": "<string>",
"name": "<string>",
"active": true,
"selected": true
}
]
},
"status": {
"financa5_allowed": true,
"mode": "off",
"read_only_blockers": [
"<string>"
],
"active_blockers": [
"<string>"
],
"driver_available": true,
"writes_available": true,
"last_preview": {
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"fresh": true
},
"run_in_progress": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"health": {
"health": "off",
"failures_in_row": 123,
"failing_since": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"alert_open": true,
"last_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"last_ok_at": "2023-11-07T05:31:56Z",
"held_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"brake": {
"codes_min_share": "<string>",
"zero_max_share": "<string>",
"custom": true
}
}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}Integrations & modules
Delete Settings (/financa5/settings)
Toglie il modulo: config (password compresa), registro dei giri e collegamenti. 404 plugin.not_installed;
409 financa5.run_in_progress con un giro in corso. Audit financa5.uninstall con la config di prima OSCURATA e
quante righe sono state tolte.
DELETE
/
api
/
v1
/
admin
/
financa5
/
settings
Delete Settings (/financa5/settings)
curl --request DELETE \
--url https://api.vellaro.io/api/v1/admin/financa5/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vellaro.io/api/v1/admin/financa5/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vellaro.io/api/v1/admin/financa5/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/financa5/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/financa5/settings"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.vellaro.io/api/v1/admin/financa5/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/financa5/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"config": {
"host": "<string>",
"port": 123,
"instance": "<string>",
"database": "<string>",
"username": "<string>",
"has_password": true,
"warehouses": [
"<string>"
],
"sync_interval_minutes": 5
},
"connection": {
"checked_at": "2023-11-07T05:31:56Z",
"ok_at": "2023-11-07T05:31:56Z",
"result": "ok",
"fresh": true,
"server_version": "<string>",
"engine_edition": 123,
"read_only": true,
"view_counts": {},
"warehouses": [
{
"code": "<string>",
"name": "<string>",
"active": true,
"selected": true
}
]
},
"status": {
"financa5_allowed": true,
"mode": "off",
"read_only_blockers": [
"<string>"
],
"active_blockers": [
"<string>"
],
"driver_available": true,
"writes_available": true,
"last_preview": {
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"fresh": true
},
"run_in_progress": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"health": {
"health": "off",
"failures_in_row": 123,
"failing_since": "2023-11-07T05:31:56Z",
"last_error_code": "<string>",
"alert_open": true,
"last_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "preview",
"trigger": "manual",
"status": "running",
"counts": {},
"error_code": "<string>",
"error_detail": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"matches_config": true
},
"last_ok_at": "2023-11-07T05:31:56Z",
"held_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"brake": {
"codes_min_share": "<string>",
"zero_max_share": "<string>",
"custom": true
}
}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}